Retrieving Article Views GET

The Dynamic Health GET /user/article-views endpoint returns a list of the most recently viewed article titles, IDs and time stamps. Before you can execute an article views call, you must have a personalized access token for the authorization request header. The user ID, product family and user profile will be obtained from the token. You may also indicate a maximum items returned limit.

Basic Article Views Retrieval

Request

GET https://apis.ebsco.com/medsapi-dynamic-health/v1/user/article-views?maxItems=2

Response

{
    "_metadata": {
        "totalItems": 2,
        "links": [
            {
                "rel": "self",
                "href": "https://ebscois-development-devqa.apigee.net/medsapi-dynamic-health/v1/user/article-views?maxItems=2"
            }
        ]
    },
    "items": [
        {
            "id": "t1530563624629",
            "title": "Changing a Needleless Connector on a Central Venous Catheter",
          	"lastViewTimestamp": "2026-03-13T13:02:09Z",
						"slug": "/nursing-skills/changing-a-needleless-connector"
        },
        {
            "id": "t1607520609333",
            "title": "Suicidal Ideation, Adult",
          	"lastViewTimestamp": "2026-03-13T13:00:03Z",
						"slug": "/signs-and-symptoms/suicidal-ideation-adult"

        }
    ]
}

Request Parameters

  • maxItems - Maximum number of items to return.

Response Values

FieldDescription
idThe id of the article that is being updated
titleThe title of the article.
lastViewTimestampTime when the article was accessed.
slugHuman-readable part of the article

Error Response Codes

The Dynamic Health get article views endpoint can return one of the error response codes.